Subject: Re: bug#19889: tex-verbatim face: don't specify :family?

From: Glenn Morris <[email-masked]>
Date: Wed, 18 Feb 2015 14:14:17 -0500

C-u C-x = tells me that the font Emacs picks for tex-verbatim is

   x:-adobe-courier-medium-r-normal--14-140-75-75-m-90-USO8859-1 (#x6D)

So presumably the problem is that it picks an x font rather than an xft one.
See attached image for how it looks clunky in info.
(I don't normally use Emacs trunk or makeinfo 5, so haven't noticed this
before.)

Firefox just uses "Monospace" font.
Gnome-terminal has "use the system fixed-with font".
IIUC, fc-match tells me that monspace == DejaVu Sans Mono.

I know little about fonts, but it seems suboptimal to me to try and
specify a family for a handful of faces, since it's impossible to
predict how it will look in conjunction with the user's other fonts.